/**
 * Theme Name:     Eccleston
 * Author:         Red Chilli Design
 * Template:       hello-elementor
 * Text Domain:	   eccleston
 * Description:    Website for Eccleston Solicitors by Red Chilli Design
 */

body {
   --blue: var( --e-global-color-primary );
   --navy: var( --e-global-color-188d663 );
}

p {
   margin-top:0px;
   margin-bottom:16px;
}

.blue {
   color: var(--blue);
}

.navy {
   color: var(--navy);
}

.blue-list ul {
   padding-left:15px;
}

.blue-list li::marker {
   color: var(--blue);
}

.has-dot h1::after, .has-dot h2::after {
	content: ".";
	font-size: 4rem;
}

.has-dot.blue-dot h1::after, .has-dot.blue-dot h2::after {
   color: var(--blue);
}

.has-dot.navy-dot h1::after, .has-dot.navy-dot h2::after {
   color: var(--navy);
}

.has-dot.white-dot h1::after, .has-dot.white-dot h2::after {
   color: #ffffff;
}

/* Cookie settings */
.cky-btn {
	color: var(--navy) !important;
	border-color: var(--navy) !important;
}

.cky-btn.cky-btn-accept {
	background-color: var(--navy) !important;
   color:#ffffff !important;
}

/* mobile styles */
@media (max-width: 767px) {
   .hide-mobile {
      display:none;
   }
   html.menu-open {
      overflow: hidden;
   }
   html.menu-open #page-head > .e-con-inner {
      padding: 0px;
   }
   html.menu-open .menu-container {
      background: #fff;
      padding-bottom: 4px;
      padding-top: 20px;
   }
  nav > #menubar-224 {
      height:100vh;
      background:#ffffff;
      --n-menu-dropdown-indicator-color-normal: var(--navy);
   }

   nav > #menubar-224 > ul {
      padding:20px;
   }

   nav > #menubar-224 li > div.e-n-menu-title {
      padding:20px 0px;
      box-sizing: border-box;
      --n-menu-title-justify-content-mobile: space-between;
   }

   nav > #menubar-224 li {
      border-bottom:1px solid var(--blue);
      max-width:100%;
   }

   nav > #menubar-224 #menu-columns {
      --flex-direction: column;
      --width:90%;
      background-color:#ffffff;
   }

   nav > #menubar-224 #menu-columns .wp-block-query a {
      color: var(--e-global-color-text);
   }

   nav > #menubar-224 #menu-columns .e-con.e-flex {
      --width:90%;
   }
}